﻿;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Export the list of categories to disk
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ExportCategories()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CategoryFileName.s = SaveFileRequester("Save categories", Program\BackupDirectory  + #Basename + "_Categories.txt", "Text (*.txt)|*.txt;*.asc", 0)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CategoryFileName.s <> #Empty$
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CategoryFileId.i = CreateFile(#PB_Any, CategoryFileName.s)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If CategoryFileId.i <> #NoFileHandle
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s = "SELECT * FROM Categories"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseQuery(Program\DatabaseHandle, QueryString.s) <> #DatabaseQueryFail
        
        While NextDatabaseRow(Program\DatabaseHandle)
  
          WriteString(CategoryFileId.i,   GetDatabaseString(Program\DatabaseHandle,  0)  + "|")
          
          WriteString(CategoryFileId.i,   GetDatabaseString(Program\DatabaseHandle,  1)  + "|")
          
          WriteStringN(CategoryFileId.i,  GetDatabaseString(Program\DatabaseHandle,  2))
          
        Wend
          
        FinishDatabaseQuery(Program\DatabaseHandle)
      
      Else
        
        SetInfoBarArea("Headings", "Warn", "No categories found in category table to export", #PB_Compiler_Procedure)
        
      EndIf        
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      CloseFile(CategoryFileId.i)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings", "Error", "No category file handle was created", #PB_Compiler_Procedure)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings", "Info", "Nothing to save, user cancelled", #PB_Compiler_Procedure)
    
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 48
; FirstLine = 42
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableUnicode