;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Sort ListIconGadget as you need it. Based on Reg Venaglia's routine.
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure SortTitleStrings(HighlightString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; Get number items in ListIcon
  ;------------------------------------------------------------------------------------------------
  
  NumberOfItems.i = CountGadgetItems(#Gadget_MyInfo_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; Get number items in ListIcon
  ;------------------------------------------------------------------------------------------------
  
  If NumberOfItems.i > 2
    
    ;----------------------------------------------------------------------------------------------
    ; Get number items in ListIcon
    ;----------------------------------------------------------------------------------------------
    
    NewList MyInfo.MyInfoData()
    
    ;----------------------------------------------------------------------------------------------
    ; Place each item text into the list. Must start at Zero
    ;----------------------------------------------------------------------------------------------
    
    For LoopCounter.i = 0 To NumberOfItems.i - 1
      
      AddElement(MyInfo())
      
      MyInfo()\Title         = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 0)
      
      MyInfo()\Category      = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 1)
      
      MyInfo()\Archived      = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 2)
      
      MyInfo()\Favourite     = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 3)
      
      MyInfo()\Locked        = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 4)
      
      MyInfo()\Deleted       = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 5)
      
      MyInfo()\Owner         = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 6)
      
      MyInfo()\Updated       = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 7)
      
      MyInfo()\Attachments   = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 8)
      
      MyInfo()\Recordid      = GetGadgetItemText(#Gadget_MyInfo_Titles, LoopCounter.i, 9)
      
    Next LoopCounter 
    
    ;----------------------------------------------------------------------------------------------
    ; Sort the Array in ascending order
    ;----------------------------------------------------------------------------------------------
    
    SortStructuredList(MyInfo(), #PB_Sort_Ascending, OffsetOf(MyInfoData\Title), #PB_String, 0, ListIndex(MyInfo()))
    
    ;----------------------------------------------------------------------------------------------
    ; Now replace ListIcon Items from the sorted Array
    ;----------------------------------------------------------------------------------------------
    
    ForEach MyInfo()
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Title,       0)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Category,    1)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Archived,    2)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Favourite,   3)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Locked,      4)

      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Deleted,     5)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Owner,       6)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Updated,     7)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Attachments, 8)
      
      SetGadgetItemText(#Gadget_MyInfo_Titles, ListIndex(MyInfo()), MyInfo()\Recordid,    9)
      
      If HighlightString.s = MyInfo()\Title
        
        LineToHighLight.i = ListIndex(MyInfo())
        
      EndIf
      
    Next MyInfo()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ClearList(MyInfo())
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetGadgetState(#Gadget_MyInfo_Titles, LineToHighLight.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 86
; FirstLine = 74
; Folding = -
; EnableXP
; HideErrorLog
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant