;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Mark an item in the list as a favourite item
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure LockCurrentData()
  
  ;------------------------------------------------------------------------------------------------
  ; Get the currently highlighted line
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_MyInfo_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentCategory.s = GetGadgetText(#Gadget_MyInfo_Category)

  ;------------------------------------------------------------------------------------------------
  ; Only continue if a line was selected
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine.i <> #NoCurrentLine
    
    ;----------------------------------------------------------------------------------------------
    ; Get the current deleted state
    ;----------------------------------------------------------------------------------------------
    
    passArchived.s        = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #ArchivedColumn)
    
    passFavourite.s       = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #FavouriteColumn)
    
    passLocked.s          = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #LockedColumn)
    
    passDeleted.s         = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #DeletedColumn)
    
    passRecord.s          = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #RecordColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If passDeleted <> "1"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If  passLocked.s = "0"
        
        passLocked.s = "1"
        
      ElseIf  passLocked.s = "1"
        
        passLocked.s = "0"
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; Proceed if we got a record number
      ;--------------------------------------------------------------------------------------------
      
      If passRecord.s <> #Empty$
        
        ;------------------------------------------------------------------------------------------
        ; Try to delete the selected record from the database
        ;------------------------------------------------------------------------------------------
        
        QueryString.s = "UPDATE MyInfo "
        
        QueryString.s + "SET Locked  = '"   + passLocked.s + "' "
        
        QueryString.s + "WHERE Record = '"  + passRecord.s + "'"
        
        ;------------------------------------------------------------------------------------------
        ; Try to delete the selected record from the database
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If passLocked.s = "1"
            
            SetGadgetItemImage(#Gadget_MyInfo_Titles, LineNumber.i, ImageID(#Image_ListLocked))
            
          ElseIf  passLocked.s <> "1"
            
            If passDeleted.s = "1"
              
              SetGadgetItemData(#Gadget_MyInfo_Titles,  CurrentLine.i, Val(passDeleted.s))
              
              RedrawWindow_(GadgetID(#Gadget_MyInfo_Titles), 0, 0, #RDW_INVALIDATE | #RDW_ERASE)
              
              SetGadgetItemImage(#Gadget_MyInfo_Titles, LineNumber.i, ImageID(#Image_ListDeleted))
              
            ElseIf passDeleted.s <> "1"
              
              If passFavourite.s = "1"
                
                SetGadgetItemImage(#Gadget_MyInfo_Titles, LineNumber.i, ImageID(#Image_ListFavourite))
                
              ElseIf passFavourite.s <> "1"
                
                SetGadgetItemImage(#Gadget_MyInfo_Titles, LineNumber.i, ImageID(#Image_ListNormal))
                
              EndIf
              
            EndIf
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If CurrentCategory.s <> "Locked items" And passLocked.s = "1"
            
            RemoveGadgetItem(#Gadget_MyInfo_Titles, CurrentLine.i)
            
          ElseIf  CurrentCategory.s = "Locked items" And passLocked.s = "0"
            
            RemoveGadgetItem(#Gadget_MyInfo_Titles, CurrentLine.i)
              
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          SetGadgetItemText(#Gadget_MyInfo_Titles,  CurrentLine.i, passLocked.s, #LockedColumn)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings", "Error", "The database query failed. " + DatabaseError(), #PB_Compiler_Procedure)
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings", "Warn", "No record number found for line " + Str(CurrentLine.i), #PB_Compiler_Procedure)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings", "Warn", "Cannot mark a deleted item as a favourite.", #PB_Compiler_Procedure)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings", "Warn", "There is no current line selected.", #pb_compiler_procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 172
; FirstLine = 138
; Folding = -
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0