;================================================================================================================================================================================
; Update each column of a ListIconGadget with a user defined icon as needed
;================================================================================================================================================================================

Procedure ChangeIcon(MyGadget.i, MyRow.i, MyColumn.i, MyIcon.i)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  LVG.lv_item      

  LVG\mask     = #LVIF_IMAGE | #LVIF_TEXT 

  LVG\iItem    = MyRow.i

  LVG\iSubItem = MyColumn.i

  ChangeText.s = GetGadgetItemText(MyGadget.i, MyRow.i, MyColumn.i)

  LVG\pszText  = @ChangeText.s

  LVG\iImage   = MyIcon.i

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  SendMessage_(GadgetID(MyGadget.i), #LVM_SETITEM, 0, @LVG) 

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

EndProcedure


; IDE Options = PureBasic 5.42 LTS (Windows - x86)
; CursorPosition = 4
; Folding = -
; DisableDebugger
; HideErrorLog