﻿;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Turn tool tipcolours to random or prechosen on and off as needed
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ToggleBalloonColour()
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s, UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If Toggle\BalloonColour = #True
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Toggle\BalloonColour = #False
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Message.s = "The global form tool tipcolour is now standard." 
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Toggle\BalloonColour = #False
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Toggle\BalloonColour = #True
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Message.s = "The global form tool tip colour is now random."
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  SetMenuItemState(#MenuBar_MyInfo,     #MenuBar_MyInfo_BalloonColour,      Toggle\BalloonColour)
  
  SetMenuItemState(#PopMenuBar_MyInfo,  #PopMenuBar_MyInfo_BalloonColour,   Toggle\BalloonColour)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  SetInfoBarArea("Headings", "Info", Message.s, #PB_Compiler_Procedure)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s              + 

  "UPDATE Preferences "       + 

  "SET BalloonColour = '"     + 

  Str(Toggle\BalloonColour)   + 

  "' "                        + 

  "WHERE Recordid = '1'"
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <>  #DatabaseUpdateFail
    
    SetInfoBarArea("Headings", "Info",  "The balloon tooltips setting was saved", #PB_Compiler_Procedure)
    
  Else
    
    SetInfoBarArea("Headings", "Info",  "The balloon tooltips setting was not saved:  " + DatabaseError(), #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 102
; FirstLine = 59
; Folding = -
; EnableAsm
; EnableThread
; EnableXP
; EnableOnError
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant