;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Turn alternate list display banding on or off
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ToggleColourBand()

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s, UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If Toggle\ColourBand = #True
  
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

    Toggle\ColourBand = #False
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Message.s = "Alternate list display banding has been turned off." 
    
    ;----------------------------------------------------------------------------------------------
    ; Wrong way of doing this, must ask in the forum
    ;----------------------------------------------------------------------------------------------
    
    ;SetGadgetItemColor(#Gadget_MyInfo_Titles, #PB_All, #PB_Gadget_BackColor, $FFFFFF, #PB_All)
    
    ShowCategory()
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Toggle\ColourBand = #False
  
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

    Toggle\ColourBand = #True
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

    Message.s = "Alternate list display banding has been turned on."
    
    ;----------------------------------------------------------------------------------------------
    ; Wrong way of doing this, must ask in the forum
    ;----------------------------------------------------------------------------------------------
    
    ShowCategory()
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  EndIf

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  SetMenuItemState(#MenuBar_MyInfo,     #MenuBar_MyInfo_ColourBand,     Toggle\ColourBand)
  
  SetMenuItemState(#PopMenuBar_MyInfo,  #PopMenuBar_MyInfo_ColourBand,  Toggle\ColourBand)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  SetInfoBarArea("Headings", "Info", Message.s, #PB_Compiler_Procedure)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s              + 

  "UPDATE Preferences "       + 
  
  "SET ColourBand = '"        + 

  Str(Toggle\ColourBand)      + 

  "' "                        + 
  
  "WHERE Recordid = '1'"
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <>  #DatabaseUpdateFail
    
    SetInfoBarArea("Headings", "Info",  "The colour band setting was saved", #PB_Compiler_Procedure)
    
  Else
    
    SetInfoBarArea("Headings", "Info",  "The colour band setting was not saved:  " + DatabaseError(), #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure


; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 36
; FirstLine = 65
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant
; EnableUnicode