;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Turn the hiding of the detail pane on or off
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ToggleHideDetail()
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s, UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Toggle\HideDetail = #True
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Toggle\HideDetail = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ShowMyInfoData()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", "The hiding of record details is now off.")
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Toggle\HideDetail = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Toggle\HideDetail = #True
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ShowMyInfoData()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", "The hiding of record details is now on.")
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SetMenuItemState(#MenuBar_MyInfo,     #MenuBar_MyInfo_HideDetail,     Toggle\HideDetail)
  
  SetMenuItemState(#PopMenuBar_MyInfo,  #PopMenuBar_MyInfo_HideDetail,  Toggle\HideDetail)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s              + 

  "UPDATE Preferences "       + 
  
  "SET HideDetail = '"        + 

  Str(Toggle\HideDetail)      + 

  "' "                        + 
  
  "WHERE Recordid = '1'"
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <>  #DatabaseUpdateFail
    
    SetInfoBarArea("Headings", "Info",  "The hide detail setting was saved", #PB_Compiler_Procedure)
    
  Else
    
    SetInfoBarArea("Headings", "Info",  "The hide detail setting was not saved:  " + DatabaseError(), #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 74
; FirstLine = 54
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant
; EnableUnicode