;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Set this window on top of others or alarm window will not show
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ToggleStickyWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s, UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Toggle\StickyWindow = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Toggle\StickyWindow = #True
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    StickyWindow(#Window_MyInfo, #True)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", #Program + " window will now be on top of everything")
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Toggle\StickyWindow = #True
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Toggle\StickyWindow = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    StickyWindow(#Window_MyInfo, #False)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", #Program + " window can now be hidden under others")
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SetMenuItemState(#MenuBar_MyInfo,     #MenuBar_MyInfo_StickyWindow,     Toggle\StickyWindow)
  
  SetMenuItemState(#PopMenuBar_MyInfo,  #PopMenuBar_MyInfo_StickyWindow,  Toggle\StickyWindow)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s            +

  "UPDATE Preferences "     + 
  
  "SET StickyWindow = '"    + 

  Str(Toggle\StickyWindow)  + 

  "' "                      + 
  
  "WHERE Recordid = '1'"
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <>  #DatabaseUpdateFail
    
    SetInfoBarArea("Headings", "Info",  "The sticky window setting was saved", #PB_Compiler_Procedure)
    
  Else
    
    SetInfoBarArea("Headings", "Info",  "The balloon sticky setting was not saved:  " + DatabaseError(), #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure
   



; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 74
; FirstLine = 51
; Folding = -
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant