﻿;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Add balloon ToolTips with individual fonts and icons
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

; Procedure BalloonTip(pbGadgetNumber.i, pbFontHandle.i, balloonColour.i, balloonTipTitle.s, balloonTipText.s,  pbIconHandle.i)
;   ; If the tooltip already exists, just exit this procedure
;   ForEach ToolTips()
;     If ToolTips()\pbGadgetNumber = pbGadgetNumber.i
;       ProcedureReturn
;     EndIf
;   Next
;   ; Add the new tooltip to the handling procedure
;   AddElement(ToolTips())
;   ToolTips()\pbHandleTip     = CreateWindowEx_(0, "ToolTips_Class32", "", #WS_POPUP | #TTS_NOPREFIX | #TTS_BALLOON, 0, 0, 0, 0, GadgetID(pbGadgetNumber.i), 0, GetModuleHandle_(0), 0)
;   ToolTips()\pbGadgetID      = GadgetID(pbGadgetNumber.i)
;   ToolTips()\pbGadgetNumber  = pbGadgetNumber.i
;   ToolTips()\pbIconHandle    = pbIconHandle.i
;   ; Set the tooltip parameters
;   SetWindowTheme_(ToolTips()\pbHandleTip,  @null.w,  @null.w)
;   SendMessage_(ToolTips()\pbHandleTip, #WM_SETFONT,  FontID(pbFontHandle.i), 0)
;   SendMessage_(ToolTips()\pbHandleTip, #TTM_SETTIPTEXTCOLOR, $000000,        0)
;   SendMessage_(ToolTips()\pbHandleTip, #TTM_SETTIPBKCOLOR,  balloonColour.i, 0)
;   ; 
;   Balloon\cbSize    = SizeOf(Balloon)
;   Balloon\uFlags    = #TTF_IDISHWND | #TTF_SUBCLASS
;   Balloon\hWnd      = GadgetID(pbGadgetNumber.i)
;   Balloon\uId       = GadgetID(pbGadgetNumber.i)
;   Balloon\lpszText  = @balloonTipText
;   ; 
;   SendMessage_(ToolTips()\pbHandleTip,  #TTM_ADDTOOL,   0,  ToolTips)
;   SendMessage_(ToolTips()\pbHandleTip,  #TTM_SETTITLE,  ToolTips()\pbIconHandle,  @balloonTipTitle)
;   ; End the procedure
; EndProcedure
  
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Add balloon ToolTips with individual fonts and icons. RASHAD's modification
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure BalloonToolTip(pbWindowNumber.i, pbGadgetNumber.i, pbFontHandle.i, balloonColour.i, balloonTipTitle.s, balloonTipText.s,  pbIconHandle.i)
 
  ;------------------------------------------------------------------------------------------------
  ; If the tooltip already exists, just exit this procedure
  ;------------------------------------------------------------------------------------------------
 
  ForEach ToolTips()
   
    If ToolTips()\pbGadgetNumber = pbGadgetNumber.i
      
      DeleteElement(ToolTips())
      
      ;ProcedureReturn
     
    EndIf
   
  Next
 
  AddElement(ToolTips())
  
  ToolTips()\pbWindowNumber  = pbWindowNumber.i
  
  ToolTips()\pbHandleTip     = CreateWindowEx_(0, "ToolTips_Class32", #Empty$, #WS_POPUP | #TTS_NOPREFIX | #TTS_BALLOON, 0, 0, 0, 0, GadgetID(pbGadgetNumber.i), 0, GetModuleHandle_(0), 0)
 
  ToolTips()\pbGadgetID      = GadgetID(pbGadgetNumber.i)
 
  ToolTips()\pbGadgetNumber  = pbGadgetNumber.i
 
  ToolTips()\pbIconHandle    = pbIconHandle.i
 
  ;------------------------------------------------------------------------------------------------
  ; Set the tooltip parameters
  ;------------------------------------------------------------------------------------------------
 
  SetWindowTheme_(ToolTips()\pbHandleTip,  @null.w,  @null.w)
 
  SendMessage_(ToolTips()\pbHandleTip, #WM_SETFONT,  FontID(pbFontHandle.i), 0)
 
  SendMessage_(ToolTips()\pbHandleTip, #TTM_SETTIPTEXTCOLOR, $000000,        0)
 
  SendMessage_(ToolTips()\pbHandleTip, #TTM_SETTIPBKCOLOR,  balloonColour.i, 0)
 
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
 
  Balloon\cbSize    = SizeOf(Balloon)
 
  Balloon\uFlags    = #TTF_IDISHWND | #TTF_SUBCLASS
 
  Balloon\hWnd      = ToolTips()\pbGadgetID
 
  Balloon\uId       = ToolTips()\pbGadgetID
 
  Balloon\lpszText  = @balloonTipText
 
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
 
  SendMessage_(ToolTips()\pbHandleTip,  #TTM_ADDTOOL,   0,  Balloon)
 
  SendMessage_(ToolTips()\pbHandleTip,  #TTM_SETTITLE,  ToolTips()\pbIconHandle,  @balloonTipTitle)
 
  ;------------------------------------------------------------------------------------------------
  ; End the procedure
  ;------------------------------------------------------------------------------------------------
 
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableUnicode