;==============================================================================================================================================================================
; Image menu creation procedure
;==============================================================================================================================================================================

Procedure CreateMainMenu()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CreateImageMenu(#MenuBar_MyInfo, WindowID(#Window_MyInfo))
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  MenuTitle("Files")
  
  MenuItem(#MenuBar_MyInfo_ImportEntries,     #Text_ImportEntries     + #TAB$ + GetShortcutText(#ShortcutKeys_ImportEntries),     ImageID(#MenuBarIcon_MyInfo_ImportEntries))
  
  MenuItem(#MenuBar_MyInfo_VacuumDatabase,    #Text_VacuumDatabase    + #TAB$ + GetShortcutText(#ShortcutKeys_VacuumDatabase),    ImageID(#MenuBarIcon_MyInfo_VacuumDatabase))
  
  MenuBar()
  
  MenuItem(#MenuBar_MyInfo_ExitProgram,       #Text_ExitProgram       + #TAB$ + GetShortcutText(#ShortcutKeys_ExitProgram),       ImageID(#MenuBarIcon_MyInfo_ExitProgram))
  
  MenuTitle("Categories")
  
  MenuItem(#MenuBar_MyInfo_AddCategory,       #Text_AddCategory       + #TAB$ + GetShortcutText(#ShortcutKeys_AddCategory),       ImageID(#MenuBarIcon_MyInfo_AddCategory))
  
  MenuItem(#MenuBar_MyInfo_CopyCategory,      #Text_CopyCategory      + #TAB$ + GetShortcutText(#ShortcutKeys_CopyCategory),      ImageID(#MenuBarIcon_MyInfo_CopyCategory))
  
  MenuItem(#MenuBar_MyInfo_DeleteCategory,    #Text_DeleteCategory    + #TAB$ + GetShortcutText(#ShortcutKeys_DeleteCategory),    ImageID(#MenuBarIcon_MyInfo_DeleteCategory))
  
  MenuItem(#MenuBar_MyInfo_EditCategory,      #Text_EditCategory      + #TAB$ + GetShortcutText(#ShortcutKeys_EditCategory),      ImageID(#MenuBarIcon_MyInfo_EditCategory))
  
  MenuBar()
  
  MenuItem(#MenuBar_MyInfo_ExportCategories,  #Text_ExportCategories  + #TAB$ + GetShortcutText(#ShortcutKeys_ExportCategories),  ImageID(#MenuBarIcon_MyInfo_ExportCategories))
  
  MenuItem(#MenuBar_MyInfo_ImportCategories,  #Text_ImportCategories  + #TAB$ + GetShortcutText(#ShortcutKeys_ImportCategories),  ImageID(#MenuBarIcon_MyInfo_ImportCategories))
  
  MenuTitle("Data")
  
  MenuItem(#MenuBar_MyInfo_AddItem,           #Text_AddItem           + #TAB$ + GetShortcutText(#ShortcutKeys_AddItem),           ImageID(#MenuBarIcon_MyInfo_AddItem))
  
  MenuItem(#MenuBar_MyInfo_CopyItem,          #Text_CopyItem          + #TAB$ + GetShortcutText(#ShortcutKeys_CopyItem),          ImageID(#MenuBarIcon_MyInfo_CopyItem))
  
  MenuItem(#MenuBar_MyInfo_DeleteItem,        #Text_DeleteItem        + #TAB$ + GetShortcutText(#ShortcutKeys_DeleteItem),        ImageID(#MenuBarIcon_MyInfo_DeleteItem))
  
  MenuItem(#MenuBar_MyInfo_EditItem,          #Text_EditItem          + #TAB$ + GetShortcutText(#ShortcutKeys_EditItem),          ImageID(#MenuBarIcon_MyInfo_EditItem))
  
  MenuItem(#MenuBar_MyInfo_FavouriteItem,     #Text_FavouriteItem     + #TAB$ + GetShortcutText(#ShortcutKeys_FavouriteItem),     ImageID(#MenuBarIcon_MyInfo_FavouriteItem))
  
  MenuItem(#MenuBar_MyInfo_LockItem,          #Text_LockItem          + #TAB$ + GetShortcutText(#ShortcutKeys_LockItem),          ImageID(#MenuBarIcon_MyInfo_LockItem))
  
  MenuItem(#MenuBar_MyInfo_PrintItem,         #Text_PrintItem         + #TAB$ + GetShortcutText(#ShortcutKeys_PrintItem),         ImageID(#MenuBarIcon_MyInfo_PrintItem))
  
  MenuBar()
  
  MenuItem(#MenuBar_MyInfo_ExportItem,        #Text_Exportitem        + #TAB$ + GetShortcutText(#ShortcutKeys_ExportItem),        ImageID(#MenuBarIcon_MyInfo_ExportItem))
  
  MenuItem(#MenuBar_MyInfo_AttachItem,        #Text_AttachItem        + #TAB$ + GetShortcutText(#ShortcutKeys_AttachItem),        ImageID(#MenuBarIcon_MyInfo_AttachItem))
  
  MenuTitle("Utilities")
  
  MenuItem(#MenuBar_MyInfo_FindInformation,   #Text_FindInformation   + #TAB$ + GetShortcutText(#ShortcutKeys_FindInformation),   ImageID(#MenuBarIcon_MyInfo_FindInformation))
  
  MenuItem(#MenuBar_MyInfo_AdvancedSearch,    #Text_AdvancedSearch    + #TAB$ + GetShortcutText(#ShortcutKeys_AdvancedSearch),    ImageID(#MenuBarIcon_MyInfo_AdvancedSearch))
  
  MenuBar()
  
  MenuItem(#MenuBar_MyInfo_SelectAllItems,    #Text_SelectAllItems    + #TAB$ + GetShortcutText(#ShortcutKeys_SelectAllItems),    ImageID(#MenuBarIcon_MyInfo_SelectAllItems))
  
  MenuTitle("Options")
  
  MenuItem(#MenuBar_MyInfo_TitleClock,        #Text_Titleclock        + #TAB$ + GetShortcutText(#ShortcutKeys_Titleclock))
  
  MenuItem(#MenuBar_MyInfo_ScreenSnap,        #Text_Screensnap        + #TAB$ + GetShortcutText(#ShortcutKeys_Screensnap))
  
  MenuItem(#MenuBar_MyInfo_StickyWindow,      #Text_Stickywindow      + #TAB$ + GetShortcutText(#ShortcutKeys_Stickywindow))
  
  MenuItem(#MenuBar_MyInfo_ShowToolbar,       #Text_ShowToolbar       + #TAB$ + GetShortcutText(#ShortcutKeys_ShowToolbar))
  
  MenuItem(#MenuBar_MyInfo_HideDetail,        #Text_HideDetail        + #TAB$ + GetShortcutText(#ShortcutKeys_HideDetail))
  
  MenuBar()
  
  MenuItem(#MenuBar_MyInfo_EditPassword,      #Text_EditPassword      + #TAB$ + GetShortcutText(#ShortcutKeys_EditPassword),      ImageID(#MenuBarIcon_MyInfo_EditPassword))
  
  MenuItem(#MenuBar_MyInfo_LockProgram,       #Text_LockProgram       + #TAB$ + GetShortcutText(#ShortcutKeys_LockProgram),       ImageID(#MenuBarIcon_MyInfo_LockProgram))
  
  MenuTitle("Help")
  
  MenuItem(#MenuBar_MyInfo_AboutProgram,      #Text_AboutProgram      + #TAB$ + GetShortcutText(#ShortcutKeys_AboutProgram),      ImageID(#MenuBarIcon_MyInfo_AboutProgram))
  
  MenuItem(#MenuBar_MyInfo_KeyboardShortcuts, #Text_KeyboardShortcuts + #TAB$ + GetShortcutText(#ShortcutKeys_KeyboardShortcuts), ImageID(#MenuBarIcon_MyInfo_KeyboardShortcuts))
  
  MenuItem(#MenuBar_MyInfo_ProgramHelp,       #Text_ProgramHelp       + #TAB$ + GetShortcutText(#ShortcutKeys_ProgramHelp),       ImageID(#MenuBarIcon_MyInfo_ProgramHelp))
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 10
; Folding = -
; EnableXP
; HideErrorLog