;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Export the currently selected item to disk
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ExportItemToDisk()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ; Debug "We got to the export item procedure horsedick"
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_MyInfo_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine.i  <>  #NoCurrentLine
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ; Debug "We got a curent line for this list:  " + Str(CurrentLine.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CurrentRecord.s = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #RecordColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If CurrentRecord.s  <> #Empty$
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      ; Debug "We got a current record number from that line: " + CurrentRecord.s
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s         + 

      "SELECT "             + 

      "Title, "             + 

      "Information "        + 

      "FROM MyInfo "        + 

      "WHERE Recordid = '"  + 

      CurrentRecord.s       + 

      "'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      ; Debug QueryString.s
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseQuery(Program\DatabaseHandle, QueryString.s) <>  #DatabaseQueryFail
        
        While NextDatabaseRow(Program\DatabaseHandle)
          
          Title.s       = KillQuote(GetDatabaseString(Program\DatabaseHandle,  0))  : ; Debug Title.s       ; Title
          
          Information.s = KillQuote(GetDatabaseString(Program\DatabaseHandle,  1))  : ; Debug Information.s ; Information
          
        Wend
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        FinishDatabaseQuery(Program\DatabaseHandle)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If Title.s  <> #Empty$  And Information.s <>  #Empty$
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          ; Debug "We got a title and Information:  " + Title.s + " ::: "  + Information.s
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          ExportFilename.s = SaveFileRequester("Export item", Program\TemporaryDirectory  + "item_Export.txt", "Text (*.txt)|*.txt;*.asc", 0)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If ExportFilename.s <> #Empty$
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            ; Debug "We got an export filename: " + ExportFileName.s
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            ExportFileId.i = CreateFile(#PB_Any, ExportFilename.s)
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            If ExportFileId.i  <> #NoFileHandle
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              ; Debug "We got an export file handle:  " + Str(ExportFileId.i)
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              WriteStringN(ExportFileId.i, "Title:  " + Title.s)
              
              WriteStringN(ExportFileId.i, "--------------------------------------------------------------------------------")
              
              WriteStringN(ExportFileId.i, Information.s)
              
              CloseFile(ExportFileId.i)
              
            Else
              
              ; Debug "No file handle was created on disk, file system error"
              
              SetInfoBarArea("Headings", "Error", "No file handle was created on disk, file system error", #PB_Compiler_Procedure)
              
            EndIf
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
          Else
            
            ; Debug "There was no output filename specified"
            
            SetInfoBarArea("Headings", "Info", "There was no output filename specified", #PB_Compiler_Procedure)
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          ; Debug "There was no information in the database for this record"
          
          SetInfoBarArea("Headings", "Warn", "There was no information in the database for this record", #PB_Compiler_Procedure)
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        ; Debug "The current SQL query failed to be executed  " + DatabaseError()
        
        SetInfoBarArea("Headings", "Error", "The current SQL query failed to be executed  " + DatabaseError(), #PB_Compiler_Procedure)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      ; Debug "There was no record number found on that line"
      
      SetInfoBarArea("Headings", "Error", "There was no record number found on that line", #PB_Compiler_Procedure)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    ; Debug "There is no current line selected to be exported"
    
    SetInfoBarArea("Headings", "Info", "There is no current line selected to be exported", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure



; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 36
; FirstLine = 33
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant