;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Permanently delete the current stuff
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure KillCurrentData()
  
  ;------------------------------------------------------------------------------------------------
  ; Get the currently highlighted line
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_MyInfo_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; Only continue if a line was selected
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine.i <> #NothingSelected
    
    ;----------------------------------------------------------------------------------------------
    ; Get the current deleted state
    ;----------------------------------------------------------------------------------------------
    
    passTitle.s       = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #TitleColumn)
    
    passCategory.s    = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #CategoryColumn)
    
    PassFavourite.s   = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #FavouriteColumn)
    
    PassLocked.s      = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #LockedColumn)
    
    passDeleted.s     = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #DeletedColumn)
    
    passUpdated.s     = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #UpdatedColumn)
    
    passOwner.s       = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #OwnerColumn)
    
    passAttachments.s = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #AttachmentsColumn)
    
    passRecord.s      = GetGadgetItemText(#Gadget_MyInfo_Titles, CurrentLine.i, #RecordColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

    If PassFavourite.s = "1"
      
      SetInfoBarArea("Headings", "Warn", "You cannot kill favourite stuff, you must unmark it first.", #PB_Compiler_Procedure)
      
      ProcedureReturn
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If PassLocked.s = "1"
      
      SetInfoBarArea("Headings", "Warn", "You cannot kill locked stuff, unlock it first.", #PB_Compiler_Procedure)
      
      ProcedureReturn
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If passDeleted.s = "1"
      
      SetInfoBarArea("Headings", "Warn", "You cannot kill deleted stuff, undelete it first.", #PB_Compiler_Procedure)
      
      ProcedureReturn
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; Proceed if we got a record number
    ;----------------------------------------------------------------------------------------------
    
    If passRecord.s <> #Empty$
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If MessageRequesterEBS("Permanent removal", "Are you sure you want to permanently remove this stuff?.", #MB_ICONINFORMATION | #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
      
      ;If MessageRequester("Permanent removal", "Are you sure you want to permanently remove this stuff?.", #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
      
        If MessageRequesterEBS("Last chance bozo", "If this is original stuff, you are so screwed!.", #MB_ICONINFORMATION | #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
      
        ;If MessageRequester("Last chance bozo", "If this is original stuff, you are so screwed!.", #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
          
          ;----------------------------------------------------------------------------------------
          ; Try to delete the selected record from the database
          ;----------------------------------------------------------------------------------------
          
          UpdateString.s          +

          "DELETE FROM MyInfo "   + 
          
          "WHERE Record = '"      + 
          
          passRecord.s + "'"
          
          ;----------------------------------------------------------------------------------------
          ; Try to delete the selected record from the database
          ;----------------------------------------------------------------------------------------
          
          If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <> #DatabaseUpdateFail
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            RemoveGadgetItem(#Gadget_MyInfo_Titles, CurrentLine.i)
            
            SetInfoBarArea("Headings", "Info", "Permanently removed " + passTitle.s  + " you idiot!", #PB_Compiler_Procedure)
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
          Else
            
            SetInfoBarArea("Headings", "Error", "The database update failed. " + DatabaseError(), #PB_Compiler_Procedure)
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings", "Error", "Nothing to do, user cancelled the operation.", #PB_Compiler_Procedure)
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings", "Error", "Nothing to do, user cancelled the operation.", #PB_Compiler_Procedure)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings", "Error", "There is no record number for this stuff.", #PB_Compiler_Procedure)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings", "Warn", "There is no current line selected.", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure



; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 19
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant