;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Clean all deleted items from the database immediately
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure VacuumDeletedData()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  Message.s = "Are you sure that you want to"         +  #CRLF$
  
  Message.s + "Permanently remove all information"    +  #CRLF$
  
  Message.s + "marked as deleted from the database?"  +  #CRLF$ + #CRLF$
  
  Message.s + "There is no way to recover from "      +  #CRLF$
  
  Message.s + "this procedure!!!"

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If MessageRequester("Permanent removal", Message.s, #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

    If MessageRequester("Are you sure?", "This is your last chance!!", #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If MessageRequester("Really?? You think??", "Don't do this bozo, it's final!!!", #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
      
        QueryString.s = "DELETE FROM MyInfo "
        
        QueryString.s + "WHERE Deleted = '1'"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)  <> #DatabaseUpdateFail
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          NumberOfItems.i = CountGadgetItems(#Gadget_MyInfo_Titles)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If NumberOfItems.i
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
            For ListProcess.i = NumberOfItems.i To 0 Step -1
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
              If GetGadgetItemText(#Gadget_MyInfo_Titles, ListProcess.i, #DeletedColumn) = "1"
              
                RemoveGadgetItem(#Gadget_MyInfo_Titles, ListProcess.i)
                
              EndIf
              
              ;------------------------------------------------------------------------------------
              ; 
              ;------------------------------------------------------------------------------------
              
            Next ListProcess.i
            
            ;--------------------------------------------------------------------------------------
            ; 
            ;--------------------------------------------------------------------------------------
            
          Else
            
            SetInfoBarArea("Headings",  "Info", "No items in the list to process", #PB_Compiler_Procedure)
            
          EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings",  "Error", "Could not remove the records from the database", #PB_Compiler_Procedure)
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings",  "Info", "Bozo has gone and done it now!", #PB_Compiler_Procedure)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings",  "Info", "User answered a firm yes to to continuing", #PB_Compiler_Procedure)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Info", "User answered no to the permanent removal", #PB_Compiler_Procedure)
    
  EndIf
    
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 143
; FirstLine = 98
; Folding = -
; EnableXP
; HideErrorLog
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant