﻿;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Format menu text and shortcut strings to a predefined length
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure.s FormatMenu(HeadingString.s, ShortcutString.s, FieldLen.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  HeadingStringLen.i = Len(HeadingString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SpaceStringLength.i    = FieldLen.i - HeadingStringLen.i
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If SpaceStringLength.i > 1
    
    NewHeadingString.s = HeadingString.s + ": " + #TAB$ + Space(SpaceStringLength.i)
    
  Else
    
    NewHeadingString.s = HeadingString.s + ": "
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  KeyboardShortcutString.s  = ReplaceString(ShortcutString.s, "Keyboard Shortcut: ", #Empty$, 1)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  ProcedureReturn NewHeadingString.s  + KeyboardShortcutString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 51
; FirstLine = 8
; Folding = -
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0