;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Turn save messages on of off
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ToggleMessageSave()

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s, UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If Toggle\MessageSave = #True
  
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

    Toggle\MessageSave = #False
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Message.s = "Messages after saving data have been turned off."
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

  ElseIf Toggle\MessageSave = #False
  
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

    Toggle\MessageSave = #True
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

    Message.s = "Messages after saving data have been turned on."
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------

  EndIf

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  SetMenuItemState(#MenuBar_MyInfo,     #MenuBar_MyInfo_MessageSave,      Toggle\MessageSave)
  
  SetMenuItemState(#PopMenuBar_MyInfo,  #PopMenuBar_MyInfo_MessageSave,   Toggle\MessageSave)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  SetInfoBarArea("Headings", "Info", Message.s, #PB_Compiler_Procedure)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s              + 

  "UPDATE Preferences "       + 
  
  "SET MessageSave = '"       + 

  Str(Toggle\MessageSave)     + 

  "' "                        + 
  
  "WHERE Recordid = '1'"
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <>  #DatabaseUpdateFail
    
    SetInfoBarArea("Headings", "Info",  "The message save setting was saved", #PB_Compiler_Procedure)
    
  Else
    
    SetInfoBarArea("Headings", "Info",  "The message save setting was not saved:  " + DatabaseError(), #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 62
; FirstLine = 48
; Folding = -
; EnableAsm
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant
; EnableUnicode