;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Turn on or off the showing of the main toolbar
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
;------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Procedure ToggleWindowToolBars()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s, UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If Toggle\ShowToolbar = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Toggle\ShowToolbar = #True
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    MessageString.s = "The main program toolbar is now turned on. Press "
    
    MessageString.s + GetShortCutText(#ShortcutValue_ShowToolbar) + " to turn back off again"

    SetInfoBarArea("Headings", "Info", MessageString.s)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    HideGadget(#Gadget_MyInfo_cControl, #False)

    ResizeWindow(#Window_MyInfo,          #PB_Ignore, #PB_Ignore, #PB_Ignore, 871)
    
    ResizeGadget(#Gadget_MyInfo_cStatus,  0,          825,        #PB_Ignore, #PB_Ignore)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Toggle\ShowToolbar = #True
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Toggle\ShowToolbar = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", "The main toolbar is now turned off")
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    HideGadget(#Gadget_MyInfo_cControl, #True)
    
    CurrentWindowHeight.i     = WindowHeight(#Window_MyInfo)    ; Height of the window
    
    CurrentControlbarHeight.i = 75                              ; Height of the control bar
    
    CurrentStatusbarHeight.i  = 20                              ; Height of the status bar
    
    ResizeWindow(#Window_MyInfo,          #PB_Ignore, #PB_Ignore, #PB_Ignore, CurrentWindowHeight.i  - CurrentControlbarHeight.i)
    
    ResizeGadget(#Gadget_MyInfo_cStatus,  #PB_Ignore, CurrentWindowHeight.i - CurrentControlbarHeight.i - CurrentStatusbarHeight.i  - 20, #PB_Ignore, #PB_Ignore)

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SetMenuItemState(#MenuBar_MyInfo,     #MenuBar_MyInfo_ShowToolBar,    Toggle\ShowToolbar)
  
  SetMenuItemState(#PopMenuBar_MyInfo,  #PopMenuBar_MyInfo_ShowToolBar, Toggle\ShowToolbar)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s              + 

  "UPDATE Preferences "       + 
  
  "SET ShowToolbar = '"       + 

  Str(Toggle\ShowToolbar)     + 

  "' "                        + 
  
  "WHERE Recordid = '1'"
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s) <>  #DatabaseUpdateFail
    
    SetInfoBarArea("Headings", "Info",  "The show toolbar setting was saved", #PB_Compiler_Procedure)
    
  Else

    SetInfoBarArea("Headings", "Info",  "The show tioolbar setting was not saved:  " + DatabaseError(), #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
;   Debug "Current toolbar state: " + Str(Toggle\ShowToolbar)
;   
;   Debug UpdateString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure
  

; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 90
; FirstLine = 69
; Folding = -
; EnableXP
; HideErrorLog
; CompileSourceDirectory
; EnableCompileCount = 0
; EnableBuildCount = 0
; EnableExeConstant