﻿;==============================================================================================================================================================================
; RASHAD. Setup Rtf text file printing
;==============================================================================================================================================================================

Procedure PrintRichTextFile(hWnd, hInst, rtfEdit, LM, RM, TM, BM)
  
  fr.FORMATRANGE
  pd.PRINTDLG
  
  pd\lStructSize          = SizeOf(PRINTDLG)
  pd\hwndOwner            = hWnd
  pd\hDevMode             = 0
  pd\hDevNames            = 0
  pd\nFromPage            = 0
  pd\nToPage              = 0
  pd\nMinPage             = 0
  pd\nMaxPage             = 0
  pd\nCopies              = 0
  pd\hInstance            = hInst
  pd\Flags                = #PD_RETURNDC | #PD_PRINTSETUP
  pd\lpfnSetupHook        = 0
  pd\lpSetupTemplateName  = 0
  pd\lpfnPrintHook        = 0
  pd\lpPrintTemplateName  = 0

  If PrintDlg_(pd)
    b         = GlobalLock_(pd\hDevNames)       
    drv.s     = PeekS(b + PeekW(b))
    name.s    = PeekS(b + PeekW(b + 2))
    PrinterDC = DefaultPrinter()

    fr\hdc          = PrinterDC
    fr\hdcTarget    = PrinterDC
    fr\chrg\cpMin   = 0
    fr\chrg\cpMax   = -1
    fr\rc\top       = TM  * 1440
    fr\rcPage\top   = fr\rc\top
    fr\rc\left      = LM  * 1440
    fr\rcPage\left  = fr\rc\left
    
    iWidthTwips   = Int((GetDeviceCaps_(PrinterDC, #HORZRES)  / GetDeviceCaps_(PrinterDC, #LOGPIXELSX)) * 1440)
    iHeightTwips  = Int((GetDeviceCaps_(PrinterDC, #VERTRES)  / GetDeviceCaps_(PrinterDC, #LOGPIXELSY)) * 1440)
    
    fr\rc\right       = iWidthTwips - RM * 1440
    fr\rcPage\right   = fr\rc\right
    fr\rc\Bottom      = iHeightTwips - BM * 1440
    fr\rcPage\bottom  = fr\rc\bottom
    
    StartPrintJob("RTF Text Printing")
    StartPage_(PrinterDC)
    
    iTextOut = 0
    iTextAmt = SendMessage_(rtfEdit, #WM_GETTEXTLENGTH, 0, 0)
    
    While iTextOut<iTextAmt
      iTextOut = SendMessage_(rtfEdit, #EM_FORMATRANGE, 1, fr)           
      If iTextOut < iTextAmt
        EndPage_(PrinterDC)
        StartPage_(PrinterDC)
        fr\chrg\cpMin = iTextOut
        fr\chrg\cpMax = -1
        iTextAmt      = iTextAmt - iTextOut
        iTextOut      = 0
      EndIf
    Wend
    
    SendMessage_(rtfEdit, #EM_FORMATRANGE, 1, 0)
    EndPage_(PrinterDC)
    EndDoc_(PrinterDC)
    DeleteDC_(PrinterDC)
    
  EndIf
  
EndProcedure

; IDE Options = PureBasic 5.42 LTS (Windows - x86)
; CursorPosition = 74
; FirstLine = 29
; Folding = -
; EnableAsm
; EnableUnicode
; EnableXP